Version bump to 0.5.0; update changelog and authors files.

parent 74c344d9
Code has been contributed to Qtah by the following people.
Qtah was created and is maintained by:
Bryan Gardiner <bog@khumba.net>
- Creator and maintainer.
- Bryan Gardiner <bog@khumba.net>
effectfully <effectfully@gmail.com>
- Qt graphics view framework classes.
Thanks to the following people, who have contributed code to make Qtah better
for everyone:
Yuriy Syrovetskiy <cblp@cblp.su>
- Filling some holes.
- effectfully <effectfully@gmail.com>
- Maxim Koltsov <kolmax94@gmail.com>
- Paul Tsupikoff <goodsoft@goodsoft.lv>
- Yuriy Syrovetskiy <cblp@cblp.su>
......@@ -2,6 +2,23 @@
## Unreleased
## (2018-06-05) *-0.5.0
Thanks to Yuriy Syrovetskiy, Maxim Koltsov, and Paul Tsupikoff for contributions
to this release.
- New coverage of the Qt API, plus some version range fixes, totalling 10 new
classes, 8 new enums, and 12 other classes expanded upon.
- Fixed the invocation of qtah-listener-gen under Windows/MSYS (issue #25).
- Fixed a linking issue with the use of Qtah data types via Template Haskell,
such as in lenses (MR !13).
- Changed qtah.cabal's "extra-libaries: qtah" to be specified dynamically by
Setup.hs, since Setup.hs is needed to be able to find this library. This
fixes an issue for cabal2nix (part of issue #27, MR !13).
## (2018-01-27) *-0.4.0
- [API change] Changed QAction's constructors so that "new" and "newWithText"
......
......@@ -21,7 +21,7 @@ greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
TARGET = qtah
TEMPLATE = lib
VERSION = 0.4.0
VERSION = 0.5.0
# Doesn't seem to work here: CONFIG += c++11
QMAKE_CXXFLAGS += -std=c++11
......
......@@ -21,7 +21,7 @@
}:
mkDerivation ({
pname = "qtah-cpp";
version = "0.4.0";
version = "0.5.0";
src = ./.;
libraryHaskellDepends = [ base Cabal qtah-generator ];
librarySystemDepends = [ qt ];
......
name: qtah-cpp
version: 0.4.0
version: 0.5.0
synopsis: Qt bindings for Haskell - C++ library
homepage: http://khumba.net/projects/qtah
license: LGPL-3
......@@ -50,7 +50,7 @@ library
build-depends:
base >=4 && <5
, process >=1.2 && <1.7
, qtah-generator >=0.4 && <0.5
, qtah-generator >=0.5 && <0.6
ghc-options: -W -fwarn-incomplete-patterns -fwarn-unused-do-bind
custom-setup
......
......@@ -24,7 +24,7 @@
}:
mkDerivation ({
pname = "qtah-examples";
version = "0.3.0";
version = "0.5.0";
src = ./.;
isLibrary = false;
isExecutable = true;
......
name: qtah-examples
version: 0.4.0
version: 0.5.0
synopsis: Example programs for Qtah Qt bindings
homepage: http://khumba.net/projects/qtah
license: LGPL-3
......@@ -27,7 +27,7 @@ executable qtah-examples
, bytestring >=0.10 && <0.11
, containers <0.6
, filepath >=1.0 && <1.5
, hoppy-runtime >=0.4 && <0.5
, qtah >=0.4 && <0.5
, hoppy-runtime >=0.5 && <0.6
, qtah >=0.5 && <0.6
ghc-options: -W -fwarn-incomplete-patterns -fwarn-unused-do-bind -dynamic
default-language: Haskell2010
......@@ -22,7 +22,7 @@
}:
mkDerivation ({
pname = "qtah-generator";
version = "0.4.0";
version = "0.5.0";
src = ./.;
isLibrary = true;
isExecutable = true;
......
name: qtah-generator
version: 0.4.0
version: 0.5.0
synopsis: Generator for Qtah Qt bindings
homepage: http://khumba.net/projects/qtah
license: LGPL-3
......@@ -41,8 +41,8 @@ executable qtah-generator
, containers >=0.5 && <0.6
, directory >=1.2 && <1.4
, filepath >=1.3 && <1.5
, hoppy-generator >=0.4 && <0.5
, hoppy-std >=0.4 && <0.5
, hoppy-generator >=0.5 && <0.6
, hoppy-std >=0.5 && <0.6
, haskell-src >=1.0 && <1.1
, mtl >=2.1 && <2.3
, process >=1.2 && <1.7
......
......@@ -22,7 +22,7 @@
}:
mkDerivation ({
pname = "qtah";
version = "0.3.0";
version = "0.5.0";
src = ./.;
libraryHaskellDepends = [
base binary bytestring hoppy-runtime qtah-cpp qtah-generator
......
name: qtah
version: 0.4.0
version: 0.5.0
synopsis: Qt bindings for Haskell
homepage: http://khumba.net/projects/qtah
license: LGPL-3
......@@ -374,9 +374,9 @@ library
base >=4 && <5
, binary >=0.7 && <0.9
, bytestring >=0.10 && <0.11
, hoppy-runtime >=0.4 && <0.5
, qtah-cpp >=0.4 && <0.5
, qtah-generator >=0.4 && <0.5
, hoppy-runtime >=0.5 && <0.6
, qtah-cpp >=0.5 && <0.6
, qtah-generator >=0.5 && <0.6
hs-source-dirs: src
ghc-options: -W -fwarn-incomplete-patterns -fwarn-unused-do-bind
default-language: Haskell2010
......@@ -390,7 +390,7 @@ test-suite test-qtah
Graphics.UI.Qtah.EventTest
build-depends:
base >=4 && <5
, hoppy-runtime >=0.4 && <0.5
, hoppy-runtime >=0.5 && <0.6
, HUnit >=1.2 && <1.7
, qtah
hs-source-dirs: tests
......
......@@ -9,6 +9,6 @@ packages:
- qtah-generator
extra-deps:
- hoppy-generator-0.4.0
- hoppy-runtime-0.4.0
- hoppy-std-0.4.0
- hoppy-generator-0.5.0
- hoppy-runtime-0.5.0
- hoppy-std-0.5.0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment